SkirentalFrontendApi::Engine.routes.draw do
    scope 'api' do
        scope 'v1' do
            get  "/shop/:shop_id/show/:lang"                                                                                    => "shop_data#show"
            get  "/shop/:shop_id/product_categories/:lang"                                                                      => "shop_data#product_categories"
            get  "/shop/:shop_id/product_categories/:product_category_id/packages/:start/:duration/:customer_group_id/:lang"    => "shop_data#packages"
            get  "/shop/:shop_id/product_categories/:product_category_id/products/:start/:duration/:customer_group_id/:lang"    => "shop_data#products"
            get  "/shop/:shop_id/all_categories_with_packages_and_products/:start/:duration/:lang"                              => "shop_data#all_categories_with_packages_and_products"
            get  "/shop/:shop_id/metrics/:metric_type/:lang"                                                                    => "shop_data#metrics"   

            get  "/booking/:shop_id/context/:session_id" => "bookings#context"
            post "/booking/:shop_id/context/:session_id" => "bookings#create"
            put  "/booking/:shop_id/context/:session_id" => "bookings#update"

            get  "/i18n/:lang" => "i18n#show"
        end
    end

end
